Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class TrackEventPluginManager

    java.lang.Object
      org.hyperic.hq.product.PluginManager
          org.hyperic.hq.product.TrackEventPluginManager

Direct Known Subclasses:
  ConfigTrackPluginManager, LogTrackPluginManager

    public abstract class TrackEventPluginManager

extends PluginManager

Field Summary
`static int` | `DEFAULT_INTERVAL`
`static String` | `PROP_INTERVAL`

Fields inherited from class org.hyperic.hq.product.PluginManager
`log, plugins`

Constructor Summary
`TrackEventPluginManager()`
`TrackEventPluginManager(Properties props)`

Method Summary
`void` | `addEventLogNotification(Win32EventLogNotification notifier)`
`void` | `addFileWatcher(org.hyperic.sigar.FileWatcher watcher)`
`void` | `addRunnableTracker(Runnable tracker)`
`void` | `closeEventLogs()`
`LinkedList` | `getEvents()`
`abstract String` | `getName()`
`void` | `init(PluginManager manager)`
`void` | `removeEventLogNotification(Win32EventLogNotification notifier)`
`void` | `removeFileWatcher(org.hyperic.sigar.FileWatcher watcher)`
`void` | `removeRunnableTracker(Runnable tracker)`
`void` | `reportEvent(TrackEvent event)`
`void` | `shutdown()`

Methods inherited from class org.hyperic.hq.product.PluginManager
`classNotFoundMessage, createPlugin, createPlugin, createPlugin, getConfigSchema, getConfigSchema, getParent, getPlatformPlugin, getPlatformPlugin, getPlatformPlugins, getPlatformPlugins, getPlugin, getPluginInfo, getPlugins, getPlugins, getProperties, getProperty, getProperty, isPropertyEnabled, isPropertyEnabled, isRegistered, mergeConfigSchema, registerPlugin, registerPlugin, registerPlugin, removePlugin, setPluginInfo, updatePlugin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_INTERVAL

    public static final int DEFAULT_INTERVAL

See Also:
  Constant Field Values

### PROP_INTERVAL

    public static final String PROP_INTERVAL

See Also:
  Constant Field Values

Constructor Detail

### TrackEventPluginManager

    public TrackEventPluginManager()

### TrackEventPluginManager

    public TrackEventPluginManager(Properties props)

Method Detail

### getName

    public abstract String getName()

  Specified by:
    `getName` in class `PluginManager`

### reportEvent

    public void reportEvent(TrackEvent event)

### getEvents

    public LinkedList getEvents()

### init

    public void init(PluginManager manager)
              throws PluginException

  Overrides:
    `init` in class `PluginManager`
  Throws:
    `PluginException`

### shutdown

    public void shutdown()
                  throws PluginException

  Overrides:
    `shutdown` in class `PluginManager`
  Throws:
    `PluginException`

### addFileWatcher

    public void addFileWatcher(org.hyperic.sigar.FileWatcher watcher)

### removeFileWatcher

    public void removeFileWatcher(org.hyperic.sigar.FileWatcher watcher)

### closeEventLogs

    public void closeEventLogs()

### addEventLogNotification

    public void addEventLogNotification(Win32EventLogNotification notifier)
                                 throws PluginException

  Throws:
    `PluginException`

### removeEventLogNotification

    public void removeEventLogNotification(Win32EventLogNotification notifier)
                                    throws PluginException

  Throws:
    `PluginException`

### addRunnableTracker

    public void addRunnableTracker(Runnable tracker)

### removeRunnableTracker

    public void removeRunnableTracker(Runnable tracker)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.